Search Gradle plugins

io.openapiprocessor.openapi-processor

plugin to run openapi-processor-*, e.g. openapi-processor-spring (requires gradle 5.5+)

https://github.com/openapi-processor/openapi-processor-gradle

Version 1.0.0.M9

Created 29 July 2020.

plugin to run openapi-processor-*, e.g. openapi-processor-spring (requires gradle 5.5+)

Using the plugins DSL:

plugins {
  id "io.openapiprocessor.openapi-processor" version "1.0.0.M9"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.io.openapiprocessor:openapi-processor-gradle:1.0.0.M9"
  }
}

apply plugin: "io.openapiprocessor.openapi-processor"

Using the plugins DSL:

plugins {
  id("io.openapiprocessor.openapi-processor") version "1.0.0.M9"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.io.openapiprocessor:openapi-processor-gradle:1.0.0.M9")
  }
}

apply(plugin = "io.openapiprocessor.openapi-processor")

Learn how to apply plugins to subprojects